View Issue Details

IDProjectCategoryView StatusLast Update
0000207file[All Projects] Generalpublic2020-12-16 23:54
ReporterrurbanAssigned Tochristos 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version5.40 
Summary0000207: More AutoCAD DWG/DXF
DescriptionSee the patch.
dwg 2020+2021
dxf 2013-2021
TagsNo tags attached.

Activities

rurban

2020-10-31 15:44

reporter  

0001-Add-more-AutoCAD.patch (1,454 bytes)
From 96a74ce96eef21db0b05782c85d11a78204c2f68 Mon Sep 17 00:00:00 2001
From: Reini Urban <rurban@cpan.org>
Date: Sat, 31 Oct 2020 12:31:32 +0100
Subject: [PATCH] Add more AutoCAD

---
 magic/Magdir/cad | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git magic/Magdir/cad magic/Magdir/cad
index 3d07b422..1863bf33 100644
--- magic/Magdir/cad
+++ magic/Magdir/cad
@@ -215,7 +215,7 @@
 !:mime image/vnd.dwg
 0	string	AC1014	DWG AutoDesk AutoCAD Release 14
 !:mime image/vnd.dwg
-0	string	AC1015	DWG AutoDesk AutoCAD 2000/2002
+0	string	AC1015	DWG AutoDesk AutoCAD 2000
 !:mime image/vnd.dwg
 
 # A new version of AutoCAD DWG
@@ -233,7 +233,9 @@
 !:mime image/vnd.dwg
 
 # From GNU LibreDWG
-0	string	AC1032	DWG AutoDesk AutoCAD 2018/2019
+0	string	AC1032	DWG AutoDesk AutoCAD 2018/2019/2020
+!:mime image/vnd.dwg
+0	string	AC1035	DWG AutoDesk AutoCAD 2021
 !:mime image/vnd.dwg
 
 # KOMPAS 2D drawing from ASCON
@@ -314,6 +316,9 @@
 >>>>&1	search/8192	AC1018			\b, version 2004
 >>>>&1	search/8192	AC1021			\b, version 2007
 >>>>&1	search/8192	AC1024			\b, version 2010
+>>>>&1	search/8192	AC1027			\b, version 2013
+>>>>&1	search/8192	AC1032			\b, version 2018
+>>>>&1	search/8192	AC1035			\b, version 2021
 
 # The Sketchup 3D model format https://www.sketchup.com/
 0	string	\xff\xfe\xff\x0e\x53\x00\x6b\x00\x65\x00\x74\x00\x63\x00\x68\x00\x55\x00\x70\x00\x20\x00\x4d\x00\x6f\x00\x64\x00\x65\x00\x6c\x00	SketchUp Model
-- 
2.26.2

rurban

2020-11-24 18:55

reporter   ~0003498

Revised patch which also includes r13c3 detection. These files are unfortunately also in the wild.
Replaces the original 0001-Add-more-AutoCAD.patch

0001-Add-more-AutoCAD-2.patch (1,876 bytes)
From 0c60acef51fe66300a938fbabee7b864fe35b1bf Mon Sep 17 00:00:00 2001
From: Reini Urban <rurban@cpan.org>
Date: Sat, 31 Oct 2020 12:31:32 +0100
Subject: [PATCH] Add more AutoCAD

---
 magic/Magdir/cad | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git magic/Magdir/cad magic/Magdir/cad
index 3d07b422..865fd450 100644
--- magic/Magdir/cad
+++ magic/Magdir/cad
@@ -213,9 +213,11 @@
 # AutoCAD DWG versions R12/R13/R14 (www.autodesk.com)
 0	string	AC1012	DWG AutoDesk AutoCAD Release 13
 !:mime image/vnd.dwg
+0	string	AC1013	DWG AutoDesk AutoCAD Release 13c3
+!:mime image/vnd.dwg
 0	string	AC1014	DWG AutoDesk AutoCAD Release 14
 !:mime image/vnd.dwg
-0	string	AC1015	DWG AutoDesk AutoCAD 2000/2002
+0	string	AC1015	DWG AutoDesk AutoCAD 2000
 !:mime image/vnd.dwg
 
 # A new version of AutoCAD DWG
@@ -233,7 +235,9 @@
 !:mime image/vnd.dwg
 
 # From GNU LibreDWG
-0	string	AC1032	DWG AutoDesk AutoCAD 2018/2019
+0	string	AC1032	DWG AutoDesk AutoCAD 2018/2019/2020
+!:mime image/vnd.dwg
+0	string	AC1035	DWG AutoDesk AutoCAD 2021
 !:mime image/vnd.dwg
 
 # KOMPAS 2D drawing from ASCON
@@ -309,11 +313,15 @@
 >>>>&1	search/8192	AC1006			\b, R10
 >>>>&1	search/8192	AC1009			\b, R11/R12
 >>>>&1	search/8192	AC1012			\b, R13
+>>>>&1	search/8192	AC1013			\b, R13c3
 >>>>&1	search/8192	AC1014			\b, R14
 >>>>&1	search/8192	AC1015			\b, version 2000
 >>>>&1	search/8192	AC1018			\b, version 2004
 >>>>&1	search/8192	AC1021			\b, version 2007
 >>>>&1	search/8192	AC1024			\b, version 2010
+>>>>&1	search/8192	AC1027			\b, version 2013
+>>>>&1	search/8192	AC1032			\b, version 2018
+>>>>&1	search/8192	AC1035			\b, version 2021
 
 # The Sketchup 3D model format https://www.sketchup.com/
 0	string	\xff\xfe\xff\x0e\x53\x00\x6b\x00\x65\x00\x74\x00\x63\x00\x68\x00\x55\x00\x70\x00\x20\x00\x4d\x00\x6f\x00\x64\x00\x65\x00\x6c\x00	SketchUp Model
-- 
2.26.2

christos

2020-12-16 23:54

manager   ~0003508

Applied, thanks!

Issue History

Date Modified Username Field Change
2020-10-31 15:44 rurban New Issue
2020-10-31 15:44 rurban File Added: 0001-Add-more-AutoCAD.patch
2020-11-24 18:55 rurban File Added: 0001-Add-more-AutoCAD-2.patch
2020-11-24 18:55 rurban Note Added: 0003498
2020-12-16 23:54 christos Assigned To => christos
2020-12-16 23:54 christos Status new => assigned
2020-12-16 23:54 christos Status assigned => resolved
2020-12-16 23:54 christos Resolution open => fixed
2020-12-16 23:54 christos Fixed in Version => 5.40
2020-12-16 23:54 christos Note Added: 0003508